Subject: Re: linux-next: Tree for November 18

From: Boaz Harrosh <[email-masked]>
Date: Wed, 15 Dec 2010 14:47:27 +0200

On 12/14/2010 11:59 PM, Randy Dunlap wrote:
> On Sun, 21 Nov 2010 16:41:26 +0200 Boaz Harrosh wrote:
> 
>>
>> Meanwhile I have setup a cron job for every-night to checkout linux-next
>> and "make". As a backup for above, until it is fixed.
>>
>> Anything else I can contribute to this cause?
> 
> 
> From my small testing, it looks like ARCH=um "defconfig" is about the only
> config that comes close to building reliably.  allmodconfig/allyesconfig and
> several randconfig attempts all failed with many horrible errors.
> 
> Is that about right?
> 
> ---
> ~Randy

Hi Randy

Yes you are basically right. One must start with defconfig and add anything
he needs. UM has neglected to play it nice with Kernel, missing some basic
implementations of simple things, just for example ndelay. So some code that
should theoretically work, fails to compile.

I have around an allmodconfig with the minimum of configs turned off, so
to compile a maximum possible coverage. I have this pet project of half
Kconfig "depends on !UM" and half "implement some missing parts". But I
never have time to actually clean it up, patch it and send it upstream.

Thanks
Boaz